{% extends 'back_office_components/base.html' %}

{% block app_content %}

<div class="row">
    <div class="col-lg-3 col-md-6">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-xs-3">
                        <i class="fa fa-user fa-5x"></i>
                    </div>
                    <div class="col-xs-9 text-right">
                        <div class="huge">{{ total_user }}</div>
                        <div>{{ _('Users') }}</div>
                    </div>
                </div>
            </div>
            {% if current_user.roles != ["Cashier"] %}
            <a href="{{ url_for('mod_user.users') }}">
                <div class="panel-footer">
                    <span class="pull-left">{{ _('View Details') }}</span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
            {% endif %}
        </div>
    </div>
    <div class="col-lg-3 col-md-6">
        <div class="panel panel-green">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-xs-3">
                        <i class="fa fa-tasks fa-5x"></i>
                    </div>
                    <div class="col-xs-9 text-right">
                        <div class="huge">{{ total_product }}</div>
                        <div>{{ _('Products') }}</div>
                    </div>
                </div>
            </div>
            {% if current_user.roles != ["Cashier"] %}
            <a href="{{ url_for('mod_product.products') }}">
                <div class="panel-footer">
                    <span class="pull-left">{{ _('View Details') }}</span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
            {% endif %}
        </div>
    </div>
    <div class="col-lg-3 col-md-6">
        <div class="panel panel-red">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-xs-3">
                        <i class="fa fa-tags fa-5x"></i>
                    </div>
                    <div class="col-xs-9 text-right">
                        <div class="huge">{{ total_product_category }}</div>
                        <div>{{ _('Category Product') }}</div>
                    </div>
                </div>
            </div>
            {% if current_user.roles != ["Cashier"] %}
            <a href="{{ url_for('mod_category.categories') }}">
                <div class="panel-footer">
                    <span class="pull-left">{{ _('View Details') }}</span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
            {% endif %}
        </div>
    </div>
    <div class="col-lg-3 col-md-6">
        <div class="panel panel-yellow">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-xs-3">
                        <i class="fa fa-shopping-cart fa-5x"></i>
                    </div>
                    <div class="col-xs-9 text-right">
                        <div class="huge">{{ total_sales }}</div>
                        <div>{{ _('Sales All of Time') }}</div>
                    </div>
                </div>
            </div>
            {% if current_user.roles != ["Cashier"] %}
            <a href="{{ url_for('mod_pos.transaction') }}">
                <div class="panel-footer">
                    <span class="pull-left">{{ _('View Details') }}</span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
            {% endif %}
        </div>
    </div>
        <div class="col-lg-3 col-md-6">
        <div class="panel panel-yellow">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-xs-3">
                        <i class="fa fa-shopping-cart fa-5x"></i>
                    </div>
                    <div class="col-xs-9 text-right">
                        {% if total_qty_all_sales %}
                        <div class="huge">{{ total_qty_all_sales | currency_format }}</div>
                        {% else %}
                        <div class="huge">0</div>
                        {% endif %}
                        <div>{{ _('Items Sold All of Time') }}</div>
                    </div>
                </div>
            </div>
            {% if current_user.roles != ["Cashier"] %}
            <a href="{{ url_for('mod_pos.transaction') }}">
                <div class="panel-footer">
                    <span class="pull-left">{{ _('View Details') }}</span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
            {% endif %}
        </div>
    </div>
    <div class="col-lg-3 col-md-6">
        <div class="panel panel-green">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-xs-12">
                        {% if total_price_all_sales %}
                        <div class="huge"><small>Rp.</small> {{ total_price_all_sales | currency_format }}</div>
                        {% else %}
                        <div class="huge">0</div>
                        {% endif %}
                        <div>{{ _('Income All of Time') }}</div>
                    </div>
                </div>
            </div>
            {% if current_user.roles != ["Cashier"] %}
            <a href="{{ url_for('mod_pos.transaction') }}">
                <div class="panel-footer">
                    <span class="pull-left">{{ _('View Details') }}</span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
            {% endif %}
        </div>
    </div>
    <div class="col-lg-3 col-md-6">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-xs-12">
                        {% if total_profit_all_sales %}
                        <div class="huge"><small>Rp.</small> {{ total_profit_all_sales | currency_format }}</div>
                        {% else %}
                        <div class="huge">0</div>
                        {% endif %}
                        <div>{{ _('Profit All of Time') }}</div>
                    </div>
                </div>
            </div>
            {% if current_user.roles != ["Cashier"] %}
            <a href="{{ url_for('mod_pos.transaction') }}">
                <div class="panel-footer">
                    <span class="pull-left">{{ _('View Details') }}</span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
            {% endif %}
        </div>
    </div>
    {% if current_user.roles != ["Cashier"] %}
    <div class="col-lg-3 col-md-6">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-xs-12">
                        <i class="fa fa-area-chart  fa-5x"></i>
                    </div>
                </div>
            </div>
            <a href="/dashboard/">
                <div class="panel-footer">
                    <span class="pull-left">{{ _('Details Report in Chart') }}</span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
        </div>
    </div>
    {% endif %}
</div>
<!-- /.row -->

<div class="row">
    <div class="col-lg-3">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-long-arrow-right fa-fw"></i> {{ _('Product With Limit Stock') }}</h3>
            </div>
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped">
                        <thead>
                            <tr>
                                <th>{{ _('Product Name')  }}</th>
                                <th>{{ _('Stock') }}</th>
                            </tr>
                        </thead>
                        <tbody>
                          {% for limit_stock in limit_stocks %}
                            <tr>
                              <td>{{ limit_stock.product_name | title }}</td>
                              <td>{{ limit_stock.product_stock  }}</td>
                            </tr>
                          {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-3">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-long-arrow-right fa-fw"></i> {{ _('Most Buy Product') }}</h3>
            </div>
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped">
                        <thead>
                            <tr>
                                <th>{{ _('Product Name')  }}</th>
                                <th>{{ _('Sold') }}</th>
                            </tr>
                        </thead>
                        <tbody>
                          {% for most_buy in most_buys %}
                            <tr>
                              <td>{{ most_buy.name | title }}</td>
                              <td>{{ most_buy.qty  }}</td>
                            </tr>
                          {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-money fa-fw"></i> {{ _('Last Transactions') }}</h3>
            </div>
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped">
                        <thead>
                            <tr>
                                <th>{{ _('ID')  }}</th>
                                <th>{{ _('Serve By') }}</th>
                                <th>{{ _('Transaction Time') }}</th>
                                <th>{{ _('T Quatity') }}</th>
                                <th>{{ _('T Price') }}</th>
                            </tr>
                        </thead>
                        <tbody>
                          {% for sales in sales %}
                            <tr>
                              <td>{{ sales.sales_id  }}</td>
                              <td>{{ sales.user.username  }}</td>
                              <td>{{ moment(sales.created_at).format('LLL') }}</td>
                              <td>{{ sales.total_qty }}</td>
                              <td>Rp. {{ sales.total_price | currency_format }}</td>
                            </tr>
                          {% endfor %}
                        </tbody>
                    </table>
                </div>
                {% if current_user.roles != ["Cashier"] %}
                <div class="text-right">
                    <a href="{{ url_for('mod_pos.transaction') }}">{{ _('View All Transactions') }} <i class="fa fa-arrow-circle-right"></i></a>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
</div>
<!-- /.row -->
{% endblock %}

{% block scripts %}
    {{ super() }}
    <!-- Morris Charts JavaScript -->
  <script src="{{ url_for('static', filename='js/plugins/morris/raphael.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/plugins/morris/morris.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/plugins/morris/morris-data.js') }}"></script>
{% endblock %}